DVBJProxy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.application
Interface DVBJProxy

All Superinterfaces:
  AppProxy

    public interface DVBJProxy

extends AppProxy

A `DVBJProxy` Object is a proxy to a DVBJ application.

Field Summary
`static int` | `LOADED` The application is in the loaded state.

Fields inherited from interface org.dvb.application.AppProxy
`DESTROYED, INVALID, NOT_LOADED, PAUSED, STARTED`

Method Summary
`void` | `init()` Requests the application manager calls the `initXlet` method on the application.
`void` | `load()` Provides a hint to preload at least the initial class of the application into local storage, resources permitting.

Methods inherited from interface org.dvb.application.AppProxy
`addAppStateChangeEventListener, getState, pause, removeAppStateChangeEventListener, resume, start, start, stop`

Field Detail

### LOADED

    static final int LOADED

  The application is in the loaded state.

  See Also:
    Constant Field Values

Method Detail

### load

    void load()

  Provides a hint to preload at least the initial class of the application into local storage, resources permitting. This does not require loading of classes into the virtual machine or creation of a new logical virtual machine which are implications of the `init` method.

  This method is asynchronous and its completion will be notified by an `AppStateChangeEvent`. In case of failure, the `hasFailed` method of the `AppStateChangeEvent` will return true. Calls to this method shall only succeed if the application is in the NOT_LOADED state. In all cases, an AppStateChangeEvent will be sent, whether the call was successful or not.

  Throws:
    `SecurityException` - if the application is not entitled to load this application. Being able to load an application requires to be entitled to start it.
  Since:
    MHP1.0

### init

    void init()

  Requests the application manager calls the `initXlet` method on the application.

  This method is asynchronous and its completion will be notified by an AppStateChangeEvent. In case of failure, the hasFailed method of the `AppStateChangeEvent` will return true. Calls to this method shall only succeed if the application is in the NOT_LOADED or LOADED states. If the application is in the NOT_LOADED state, the application will move through the LOADED state into the PAUSED state before calls to this method complete.

  In all cases, an AppStateChangeEvent will be sent, whether the call was successful or not.

  Throws:
    `SecurityException` - if the application is not entitled to load this application. Being able to init an application requires to be entitled to start it.
  Since:
    MHP1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD